Bug 164014 - [patch update] security/chntpw 100627 -> 110511
Summary: [patch update] security/chntpw 100627 -> 110511
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-11 12:20 UTC by Kurt Jaeger
Modified: 2012-01-14 19:20 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (961 bytes, patch)
2012-01-11 12:20 UTC, Kurt Jaeger
no flags Details | Diff
patch-chntpw (2.28 KB, text/plain; charset=us-ascii)
2012-01-11 12:51 UTC, Kurt Jaeger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger 2012-01-11 12:20:04 UTC
	[patch update] security/chntpw 100627 -> 110511

How-To-Repeat: 	-
Comment 1 Edwin Groothuis freebsd_committer 2012-01-11 12:20:13 UTC
Maintainer of security/chntpw,

Please note that PR ports/164014 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/164014

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-01-11 12:20:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 buganini 2012-01-11 12:40:39 UTC
Approved, thanks!

build log
https://redports.org/~buganini/20120111133010-56641-5363/chntpw-110511.log
Comment 4 Kurt Jaeger 2012-01-11 12:51:19 UTC
Hi!

> Approved, thanks!

Here's a more detailed patch, which allows it to build on amd64 as well,
and it adds bin/reged to the installed files.

Would that be OK as well ?

-- 
pi@opsec.eu            +49 171 3101372                         8 years to go !
Comment 5 buganini 2012-01-11 13:59:49 UTC
Are you sure the binary could work correctly?
It may be able to be built and executed, but I'm not sure if it can
manipulate hive correctly.

Regards,
Buganini

2012/1/11 Kurt Jaeger <pi@opsec.eu>:
> Hi!
>
>> Approved, thanks!
>
> Here's a more detailed patch, which allows it to build on amd64 as well,
> and it adds bin/reged to the installed files.
>
> Would that be OK as well ?
>
> --
> pi@opsec.eu =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0+49 171 3101372 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 8 years to go !
Comment 6 Kurt Jaeger 2012-01-11 14:03:32 UTC
Hi!

> Are you sure the binary could work correctly?

I tested reged on an amd64 and had identical crashes 8-) 
See my error report to pnh@pogostick.net I forwarded to you.

> It may be able to be built and executed, but I'm not sure if it can
> manipulate hive correctly.

I had no chance to test it en detail.

There's one thing, a few warnings during compilation, all of them like:

ntreg.c: In function 'parse_db':
ntreg.c:660: warning: format '%04x' expects type 'unsigned int', but argument 2 has type 'long int'

I'm not sure this is critical.

-- 
pi@opsec.eu            +49 171 3101372                         8 years to go !
Comment 7 Mark Linimon freebsd_committer freebsd_triage 2012-01-11 14:12:45 UTC
State Changed
From-To: feedback->open

Maintainer approved, but see discussion.
Comment 8 Martin Wilke freebsd_committer 2012-01-14 03:56:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 9 Martin Wilke freebsd_committer 2012-01-14 19:11:41 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 10 dfilter service freebsd_committer 2012-01-14 19:12:57 UTC
miwi        2012-01-14 19:11:50 UTC

  FreeBSD ports repository

  Modified files:
    security/chntpw      Makefile distinfo 
  Log:
  - Update to 110511
  
  PR:             164014
  Submitted by:   Kurt Jaeger <fbsd-ports@opsec.eu>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.6       +1 -1      ports/security/chntpw/Makefile
  1.6       +2 -2      ports/security/chntpw/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"